# `taurus.qt.qtcore.communication`

The taurus.qt.qtcore.communication submodule. It contains non-gui components of taurus.qt

Classes

class DataModel(parent, dataUID, defaultData=None)

  An object containing one piece of data which is intended to be shared. The data will be identified by its UID (a unique identifier known to objects that intend to access the data)

  In general, you are not supposed to instantiate objects of this class directly. Instead, you should interact via the `SharedDataManager`, which uses `SharedDataManager.__getDataModel()` to ensure that the DataModels are singletons.

  (more info)

class SharedDataManager(parent)

  A Factory of `DataModel` objects. The `__getDataModel()` method ensures that the created DataModels are singletons. DataModels are not kept alive unless there at least some Reader or Writer registered to it (or another object referencing them)

  (more info)

Functions

get_signal(obj, signalname)

  Return signal from object and signal name.